## loci.formats
Class FormatFileFilter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          loci.formats.FormatFileFilter

All Implemented Interfaces:
  Comparable, FileFilter

public class FormatFileFilter
extends FileFilter
implements FileFilter, Comparable

A file filter for a biological file format, for use with a JFileChooser.

Constructor Summary
`FormatFileFilter(FormatReader reader)` Constructs a new filter that accepts the given extension.

Method Summary
`boolean` `accept(File f)` Accepts files in accordance with the file format reader.
`int` `compareTo(Object o)` Compares two FileFilter objects alphanumerically.
`String` `getDescription()` Gets the filter's description.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormatFileFilter

    public FormatFileFilter(FormatReader reader)

  Constructs a new filter that accepts the given extension.

Method Detail

### accept

    public boolean accept(File f)

  Accepts files in accordance with the file format reader.

  Specified by:
    `accept` in interface `FileFilter`

### getDescription

    public String getDescription()

  Gets the filter's description.

### compareTo

    public int compareTo(Object o)

  Compares two FileFilter objects alphanumerically.

  Specified by:
    `compareTo` in interface `Comparable`